#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 deferred-folds
version:              0.9.17
visibility:           public
id:                   deferred-folds-0.9.17-EvipN61tda027eJEPpIA4p
key:                  deferred-folds-0.9.17-EvipN61tda027eJEPpIA4p
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
stability:            Experimental
homepage:             https://github.com/metrix-ai/deferred-folds
synopsis:             Abstractions over deferred folds
description:
    This library is in an experimental state.
    Users should be prepared for frequent updates.

category:             Folding
abi:                  b2a4a284197d112a1a9751a82196bd58
exposed:              True
exposed-modules:
    DeferredFolds.Unfoldl DeferredFolds.UnfoldlM DeferredFolds.Unfoldr

hidden-modules:
    DeferredFolds.Types DeferredFolds.UnfoldrM
    DeferredFolds.Defs.Unfoldl DeferredFolds.Defs.UnfoldlM
    DeferredFolds.Defs.Unfoldr DeferredFolds.Defs.UnfoldrM
    DeferredFolds.Prelude DeferredFolds.Util.TextArray

import-dirs:          /usr/lib/ghc-8.10.4/site-local/deferred-folds-0.9.17
library-dirs:         /usr/lib/ghc-8.10.4/site-local/deferred-folds-0.9.17
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/deferred-folds-0.9.17
hs-libraries:         HSdeferred-folds-0.9.17-EvipN61tda027eJEPpIA4p
depends:
    base-4.14.1.0 bytestring-0.10.12.0 containers-0.6.2.1
    foldl-1.4.11-I7kRdxsWvXUIt4NcjncGDy
    hashable-1.3.1.0-1TzQw0rlraYH9EvMt0jxBh
    primitive-0.7.1.0-E4X9CCBanM6KFkbtZATozp text-1.2.4.1
    transformers-0.5.6.2
    unordered-containers-0.2.13.0-HtLybBXdm0X81lurKYn063
    vector-0.12.2.0-G3GLe01gE2VKnXMc9dfTs9

haddock-interfaces:
    /usr/share/doc/haskell-deferred-folds/html/deferred-folds.haddock

haddock-html:         /usr/share/doc/haskell-deferred-folds/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

